# React Workshop 28th-29th March 2022

This is the commands we used to learn React and steps you can follow to finish the project or explore it.

## Portfolio


- **Step 1** Install Node.js

- **Step 2**: check if npm is properly installed by verifying version.  
	`npm --version`

- **Step 3**: Create a project using *create-react-app* using  
	`npx create-react-app <project-name>`

- **Step 4**: go into the project folder using file explorer or using   
	`cd <project-name>`

- **Step 5**: Start building the application. Replicate the project or modify the project I uploaded to get your default portfolio website.


- **Step 6** : If replicating my project. Install the packages including additional packages like *@material-ui/icons and *uniqid*. By typing in the portfolio directory.  

	`npm install`

- **Step 7**: To run the portfolio project  

	`npm start`  
	 see the rendered screen on [http://localhost:3000](http://localhost:3000)


## Additional Readings and Workouts

Everyone, If you feel like you can do more with React. Go ahead and check all these links to the resources below. I personally used them to understand and learn before I could give a talk on react for you all. I hope these can pique your interest more into the massive world of Web Development.

- [Projects and hands on](https://www.freecodecamp.org/learn/front-end-development-libraries/#react)

- [Understanding Hooks Better](https://serverless-stack.com/chapters/understanding-react-hooks.html)

- [React lifecycle visual understanding](https://projects.wojtekmaj.pl/react-lifecycle-methods-diagram/)

- [Deployment in Netlify in detail](https://serverless-stack.com/chapters/deploying-a-react-app-to-netlify.html) Check out other posts to deploy in AWS from them. 

- [Mastering CSS](https://css-tricks.com/)

- [Cool stuff possible in Frontend](https://www.joshwcomeau.com/tutorials/react/): One of the most influential frontend developers for me! Check out his entire catalog of posts. His take on performance was eye-opening.

## Queries

Feel Free to email me any of your queries to this email address [priyathamsaichand@gmail.com](mailto:priyathamsaichand@gmail.com)

